FLTK 1.4.4

Loading...
Searching...
No Matches
String handling functions

String handling functions declared in <FL/fl_string_functions.h>. More...

## Functions
char * | fl_strdup (const char *s)
| Cross platform interface to POSIX function strdup().
size_t | fl_strlcpy (char *, const char *, size_t)

## Detailed Description

String handling functions declared in <FL/fl_string_functions.h>.

## Function Documentation

## ◆ fl_strdup()

char * fl_strdup | ( | const char * | s | ) |

Cross platform interface to POSIX function strdup().

The fl_strdup() function returns a pointer to a new string which is a duplicate of the string 's'. Memory for the new string is obtained with malloc(3), and can be freed with free(3).

Implementation:

- POSIX: strdup()
- WinAPI: _strdup()